Ordre de grandeur d'un résultat

26/08/2010 09:30 - Philippe Cadaugade

Statut: Fixed - Corrigé - Implémenté Début: 26/08/2010

Priorité: Normale Echéance: 27/08/2010

Assigné à: Philippe Cadaugade % réalisé: 90%

Catégorie: Code Source Temps estimé: 6.00 heures

Version cible: 1.0   

Description

Proposer une activité supplémentaire qui serait de faire des calculs approchés.

Historique

#1 - 26/08/2010 09:45 - Philippe Cadaugade

- Statut changé de New - Nouveau à Assigned - En cours

- % réalisé changé de 0 à 70

J'ai créé un nouveau constructeur de ballon, une méthode de la classe ballon qui calcule la valeur approchée, ajouté un attribut dans lequel cette

valeur est écrite. Je "crois" que je fais émettre au constructeur le signal valueChanged avec le résultat exact dans un cas, la valeur approchée dans

l'autre. La méthode de calcul a l'air bonne, je peux le vérifier en console (qDebug), mais par contre William m'annonce toujours perdu ...

#2 - 02/09/2010 16:18 - Philippe Cadaugade

- % réalisé changé de 70 à 90

Pour pouvoir corriger le bug de William qui annonce toujours perdu, j'ai dû modifier en profondeur ma classe exercice et par là corriger une "faute de

goût" : le lcdNumber qui servait de relais. Je l'ai supprimé et remplacé dans son rôle par un attribut "resultatEnCours".

Comme ça marche j'ai ajouté une interface provisoire qui propose le calcul d'ordre de grandeur sur addition, multiplication et soustraction. Ca

fonctionne... à peu près, en tout cas avec des erreurs qui me semblent acceptables pédagogiquement parlant.

A régler le problème de l'édition des nombres qui rend par exemple les multiplications impossibles (trop difficiles dans le temps imparti et de toutes

les façons incompatibles avec l'expression régulière posée sur le champ de saisie de réponse.

#3 - 03/09/2010 16:12 - Philippe Cadaugade

- Statut changé de Assigned - En cours à Fixed - Corrigé - Implémenté
